import java.sql.*;

public class UpdateTypeTest {

	public static void main(String args[]) throws Exception {

		Class.forName("org.postgresql.Driver");
		Connection conn = DriverManager.getConnection("jdbc:postgresql://localhost:5810/jurka","jurka","");

		Statement sourceStatement = conn.createStatement();
		Statement destStatement = conn.createStatement(ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
		sourceStatement.execute("CREATE TEMP TABLE source(a int PRIMARY KEY, b timestamp, c date)");
		destStatement.execute("CREATE TEMP TABLE dest(a int PRIMARY KEY, b timestamp, c date)");
		sourceStatement.execute("INSERT INTO source values(1, now(), '2006-11-20')");
		sourceStatement.execute("INSERT INTO source values(2, now(), '2004-11-20')");

		ResultSet source = sourceStatement.executeQuery("SELECT a,c,b FROM source");
		ResultSet dest = destStatement.executeQuery("SELECT a,b,c FROM dest");
		while (source.next()) {
			dest.moveToInsertRow();
			for (int i=1; i<=3; i++) {
				dest.updateObject(i, source.getObject(i));
			}
			dest.insertRow();
		}

	}
}


